[Patch] Altivec ABI as default for powerpc64 linux

Geoff Keating geoffk@geoffk.org
Fri Jan 30 23:49:00 GMT 2004


"Hartmut Penner" <HPENNER@de.ibm.com> writes:

> Hello,
>       I would propose to set ALTIVEC as the default ABI
> for ppc64 linux.
> This will not change anything for programs not having any
> vector types. But it will allow programs to work correctly
> which are using vector. This is also true for programs using
> vector types, but do not use the altivec instruction set
> (which is not set as default !).

It's not set as the default because the default linux64 processor is a
630, which (as far as I know) doesn't have Altivec.  Perhaps someone
should change that, if linux64 is going to require Altivec.

-- 
- Geoffrey Keating <geoffk@geoffk.org>



More information about the Gcc-patches mailing list